Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

Known issue: Unity Cloud Builds are failing after Vuforia upgrade

Discussion in 'Vuforia' started by meedabit, Nov 16, 2018.

Thread Status:
Not open for further replies.
  1. meedabit

    meedabit

    Official Vuforia Employee Vuforia

    Joined:
    Dec 8, 2016
    Posts:
    224
    Hello,

    We are currently aware of two known issues with Cloud Build and are working closely with Unity to resolve them:
    • Cloud Build is currently only supported for the Vuforia versions that come packaged with a Unity Editor installation.
      • If you upgrade the version of Vuforia in an existing Unity installation via an upgrade installer (the one downloaded from the Vuforia Engine upgrade notifications in the Editor), it will only upgrade the Vuforia version on your machine and the Unity Cloud Build servers will build against an older version of Vuforia (which can cause all sorts of issues, mostly linker errors). We are working with Unity for a solution to this. It will most likely require us to change the way how we roll out new Vuforia versions for existing Unity installations, so this fix is a bit further out.
    • There was a regression introduced with Vuforia 7.5 that broke cloud build, related to accepting the EULA
      • We fixed this issue with our 7.5.26 patch release. However, because of the previous issue, you’ll need to wait for the first Unity Editor version that packages the Vuforia Engine SDK 7.5.26 version out of the box. This version is Unity 2018.2.17, which should be available publicly next week.
    So with Unity 2018.2.17, Cloud Build should work again, and we continue to work on a solution that allows upgrading Vuforia independently of Unity while still being able to use Cloud Build.

    Apologies for the inconvenience and we'll keep this thread updated with relevant details.

    Thanks,
    Vuforia Engine Support
     
Thread Status:
Not open for further replies.